StarLayout Struct Reference documentation

StarLayout Struct Reference

structure to parse a layout in a text zone (very incomplete) More...

`#include <StarLayout.hxx>`

## Public Member Functions
| StarLayout ()
| constructor
bool | read (StarZone &zone, StarObject &object)
| try to read a layout: 'U'

## Protected Member Functions
bool | readC1 (StarZone &zone, StarObject &object)
| try to read a sub zone: 'c1' or 'cc', 'cd'
bool | readC2 (StarZone &zone, StarObject &object)
| try to read a sub zone: 'c2', 'c3', 'c6', 'c8', 'c9', 'ce', 'd2', 'd3', 'd7', 'e3' or 'f2'
bool | readC4 (StarZone &zone, StarObject &object)
| try to read a sub zone: 'c4' or 'c7'
bool | readD0 (StarZone &zone, StarObject &object)
| try to read a sub zone: 'd0'
bool | readD8 (StarZone &zone, StarObject &object)
| try to read a sub zone: 'd8'
bool | readChild (StarZone &zone, StarObject &object)
| try to read a child of a zone
bool | readHeader (StarZone &zone, libstoff::DebugStream &f, int &type, int valueMode=1) const
| try to read a block header
bool | readDataBlock (StarZone &zone, libstoff::DebugStream &f) const
| try to read a small data block
int | readNumber (STOFFInputStreamPtr input, int vers) const
| try to read a positive number of 1|2 bytes depending on the version:

## Protected Attributes
uint16_t | m_version
| the version

## Detailed Description

structure to parse a layout in a text zone (very incomplete)

## Constructor & Destructor Documentation

## ◆ StarLayout()

StarLayout::StarLayout | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ read()

bool StarLayout::read | ( | StarZone & | zone,
|  | StarObject & | object )

try to read a layout: 'U'

Referenced by StarObjectText::readWriterDocument().

## ◆ readC1()

bool StarLayout::readC1 | ( | StarZone & | zone,
|  | StarObject & | object )
| protected

try to read a sub zone: 'c1' or 'cc', 'cd'

Referenced by readChild().

## ◆ readC2()

bool StarLayout::readC2 | ( | StarZone & | zone,
|  | StarObject & | object )
| protected

try to read a sub zone: 'c2', 'c3', 'c6', 'c8', 'c9', 'ce', 'd2', 'd3', 'd7', 'e3' or 'f2'

Referenced by readChild().

## ◆ readC4()

bool StarLayout::readC4 | ( | StarZone & | zone,
|  | StarObject & | object )
| protected

try to read a sub zone: 'c4' or 'c7'

Referenced by readChild().

## ◆ readChild()

bool StarLayout::readChild | ( | StarZone & | zone,
|  | StarObject & | object )
| protected

try to read a child of a zone

Referenced by read(), readC1(), readC2(), readD0(), and readD8().

## ◆ readD0()

bool StarLayout::readD0 | ( | StarZone & | zone,
|  | StarObject & | object )
| protected

try to read a sub zone: 'd0'

Referenced by readChild().

## ◆ readD8()

bool StarLayout::readD8 | ( | StarZone & | zone,
|  | StarObject & | object )
| protected

try to read a sub zone: 'd8'

Referenced by readChild().

## ◆ readDataBlock()

bool StarLayout::readDataBlock | ( | StarZone & | zone,
|  | libstoff::DebugStream & | f ) const
| protected

try to read a small data block

Referenced by readC1(), and readHeader().

## ◆ readHeader()

bool StarLayout::readHeader | ( | StarZone & | zone,
|  | libstoff::DebugStream & | f,
|  | int & | type,
|  | int | valueMode = 1 ) const
| protected

try to read a block header

Referenced by readC1(), readC2(), readC4(), readD0(), and readD8().

## ◆ readNumber()

int StarLayout::readNumber | ( | STOFFInputStreamPtr | input,
|  | int | vers ) const
| protected

try to read a positive number of 1|2 bytes depending on the version:

- if m_version<vers, read 2 bytes
- if not, read 1 byte and if result=0, read 2 bytes

Referenced by readC2(), readC4(), and readD0().

## Member Data Documentation

## ◆ m_version

uint16_t StarLayout::m_version
| protected

the version

Referenced by read(), readC1(), readC2(), readD0(), readD8(), readHeader(), readNumber(), and StarLayout().

The documentation for this struct was generated from the following files:

- StarLayout.hxx
- StarLayout.cxx